Name		: apache_mod_authn_google
Version		: r10
Release		: 2%{?dist}
License		: Distributable
Summary		: Google Authentication Apache Module
Group		: Security
URL		: https://https://code.google.com/archive/p/google-authenticator-apache-module/
Packager        : René Vermare <rene@vermare.net>
Vendor          : Dr. Linux, https://repo.vermare.net/yum/
Source0         : GoogleAuthApache.src.%{version}.bz2
BuildRoot       : %{_tmppath}/%{name}-buildroot
BuildRequires	: gcc, make, bzip2, tar, apr-devel >= 1.4.5, httpd-devel >= 2.2.3, openssl-devel >= 1.0.1e 
Requires	: httpd >= 2.2.3, apr >= 1.4.5, openssl >= 1.0.1e

%description
This package contains the Google Authentication Module for Apache webserver,
used for 2FA (Two factor) authentication.

%prep
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%setup -q -n google-authenticator-apache-module

%build
make

%install
mkdir -p %{buildroot}/etc/httpd/modules
install -m 755 .libs/mod_authn_google.so  %{buildroot}/etc/httpd/modules

%clean
rm -rf %{buildroot}

%post
mkdir -p /etc/httpd/ga_auth

%preun

%files 
%defattr(-, root, root, 0755)
/etc/httpd/modules/mod_authn_google.so

%changelog
* Mon Mar 15 2021 René vermare <rene@vermare.net> r10-2
- Add creation from directory ga_auth

* Tue Mar  9 2021 René vermare <rene@vermare.net> r10-1
- Initial build for fc14 i586 arch.
